﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Xamarin.Forms;
using Syncfusion.SfChart.XForms;

namespace SimpleSample
{
    public partial class Sample : ContentPage
    {
        public Sample()
        {
            InitializeComponent();

			series1.Color = Color.FromRgb (0, 189, 156);
			series2.Color = Color.FromRgb (232, 126, 2);

        }
    }

	public class StocksViewModel
    {
		public ObservableCollection<StockModel> StockData1 { get; set; }
		public ObservableCollection<StockModel> StockData2 { get; set; }

		public StocksViewModel()
        {
			StockData1 = new ObservableCollection<StockModel>();
			StockData2 = new ObservableCollection<StockModel> ();

			DateTime date = new DateTime (2014,1,1);

			double value = 500;
			double value1 = 50;
			Random rand = new Random ();

			for (int i = 0; i < 1000; i++) {

				if (rand.NextDouble () > .5) {
					value += rand.NextDouble ();
					value1 += rand.NextDouble ();
				}
				else {
					value -= rand.NextDouble ();
					value1 -= rand.NextDouble ();
				}
					
				StockData1.Add (new StockModel (date.AddDays (i), value));
				StockData2.Add (new StockModel (date.AddDays (i), value1));

				if (i == 300)
					value = 230;
			}
				
        }
    }
		
	public class StockModel
	{
		public StockModel(DateTime x, double y)
		{
			this.Date = x;
			this.Close = y;
		}
		public DateTime Date { get; set; }
		public double Close { get; set; }
	}
}
